बैंडविड्थ रेंटल (ऑटो-रिन्यू)
ऑटो-रिन्यू रेंटल सूची
अपने निरंतर बैंडविड्थ रेंटल सूचीबद्ध करें
GET
/
api
/
v1
/
bandwidth
/
rentals
ऑटो-रिन्यू रेंटल सूची
curl --request GET \
--url https://api.example.com/api/v1/bandwidth/rentalsimport requests
url = "https://api.example.com/api/v1/bandwidth/rentals"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/bandwidth/rentals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
ऑटो-रिन्यू रेंटल सूची
आपके ऑटो-रिन्यू रेंटल लौटाता है, नवीनतम पहले।क्वेरी पैरामीटर
string
स्थिति के अनुसार फ़िल्टर:
active, cancelled या ended_insufficient_balanceरिस्पॉन्स
rentals लौटाता है — रेंटल ऑब्जेक्ट की सरणी जिसमें status, volume, daily_trx, total_charged_trx, next_billing_at और टाइमस्टैम्प होते हैं।
रेंटल स्थितियाँ
| स्थिति | विवरण |
|---|---|
active | डेलिगेटेड और रोज़ाना बिलिंग |
cancelled | उपयोगकर्ता (या एडमिन) द्वारा रद्द |
ended_insufficient_balance | स्वतः समाप्त — बैलेंस अगले दिन के लिए अपर्याप्त |
उदाहरण
curl "https://api.tronrental.com/v1/bandwidth/rentals?status=active" \
-H "X-API-Key: your_api_key"
Response
{
"rentals": [
{
"id": 4321,
"address": "TYourRecipientAddress1234567890abc",
"volume": 350,
"status": "active",
"daily_trx": "0.4205",
"total_charged_trx": "1.2615",
"billing_count": 3,
"next_billing_at": "2026-06-11T04:30:00+00:00",
"last_billed_at": "2026-06-10T04:30:00+00:00",
"delegate_txid": "abc123...",
"undelegate_txid": null,
"ended_at": null,
"created_at": "2026-06-08T04:30:00+00:00"
}
]
}
⌘I
ऑटो-रिन्यू रेंटल सूची
